Subject: bug#1973: Bug in simple.el (Emacs version 22.2.1)

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 Jan 2009 17:04:23 -0500

> Asynchronous commands called via shell-command, for example:

>  (shell-command "apt-get update &")

> fill the buffer *Async Shell Command Output* with Ctrl-Ms, which I'm
> sure is not what's intended.

> My patch (attached) fixes this by using make-comint-in-buffer, rather
> than start-process, to call the asynchronous process.

Such a feature would be good, indeed.  I'm not sure that just using
make-comint-in-buffer is good enough.  Maybe we should provide a new
command instead, along the lines of comint-run, or maybe even change
comint-run so that it accepts a shell command rather than an
executable name.

        Stefan